bitel.billing.server.phone.bean

## Class ClientItemFinder

- java.lang.Object
- - bitel.billing.server.phone.bean.ClientItemFinder

-     public class ClientItemFinder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientItemFinder(java.sql.Connection con, int mid, int sourceId, java.util.Calendar date1, java.util.Calendar date2, java.lang.String cids)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CalculateClientItem` | `findPoint(bitel.billing.server.phone.LogRecord record, boolean byToNumber)`
    `java.util.List<CalculateClientItem>` | `findRuleList(bitel.billing.server.phone.LogRecord record, ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache rangeMapCache)`
    `java.lang.String` | `getItemCount()`
    `java.lang.String` | `getItemDetail()`
    `ClientItemFinder` | `sub(java.sql.Connection con, int moduleId, java.util.Calendar hour)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientItemFinder

          public ClientItemFinder(java.sql.Connection con,
                                  int mid,
                                  int sourceId,
                                  java.util.Calendar date1,
                                  java.util.Calendar date2,
                                  java.lang.String cids)

  - ### Method Detail

    - #### findPoint

          public CalculateClientItem findPoint(bitel.billing.server.phone.LogRecord record,
                                               boolean byToNumber)

    - #### findRuleList

          public java.util.List<CalculateClientItem> findRuleList(bitel.billing.server.phone.LogRecord record,
                                                                  ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache rangeMapCache)

    - #### getItemCount

          public java.lang.String getItemCount()

    - #### getItemDetail

          public java.lang.String getItemDetail()

    - #### sub

          public ClientItemFinder sub(java.sql.Connection con,
                                      int moduleId,
                                      java.util.Calendar hour)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`